Macaulay2 » Documentation
Packages » ChainComplexExtras :: isMinimalChainComplex
next | previous | forward | backward | up | index | toc

# isMinimalChainComplex -- tests for minimality

- Usage:
    `b = isMinimalChainComplex C`
- Inputs:
  - C, a chain complex, chain complex of free modules
- Outputs:
  - b, a Boolean value,

## Description

The script tests whether all the differentials of C become zero when we substitute 0 for each variable of ring C

## For the programmer

The object isMinimalChainComplex is a function closure.

The source of this document is in /build/macaulay2-88fgJW/macaulay2-1.25.11+ds/M2/Macaulay2/packages/ChainComplexExtras.m2:1217:0.